Bug 1120376 - Attempting to destroy the current user should result in a friendlier message
Summary: Attempting to destroy the current user should result in a friendlier message
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Eric Helms
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-16 19:30 UTC by Eric Helms
Modified: 2019-09-26 13:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:28:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 6650 None None None 2016-04-22 16:48:48 UTC

Description Eric Helms 2014-07-16 19:30:49 UTC
Currently if a user attempts to remove themself while logged in as that user they are presented with an unfriendly message:

notice _("You are currently logged in, suicidal?")

Comment 1 Eric Helms 2014-07-16 19:30:50 UTC
Created from redmine issue http://projects.theforeman.org/issues/6650

Comment 2 Eric Helms 2014-07-16 19:30:52 UTC
Upstream bug assigned to ehelms@redhat.com

Comment 3 Eric Helms 2014-07-16 19:33:30 UTC
https://github.com/theforeman/foreman/pull/1592

Comment 5 Bryan Kearney 2014-07-18 20:04:23 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/6650 has been closed
-------------
Eric Helms
Applied in changeset commit:88c35a24d10da0d355785d6b0a76bd7901056238.

Comment 8 Bryan Kearney 2014-09-11 12:28:26 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.